package stonehill.edu.DatabaseConsoleAsORM;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import javax.swing.*;


/**
 * A row in the account table
 */
@DatabaseTable(tableName = "account")
public class Account {
  
	@DatabaseField
	public String oracleId;
	
	@DatabaseField
	public String name;
	
	@DatabaseField
	public String address;
	
	@DatabaseField
	public int id;
	
	@DatabaseField
	public double amount;

 public Account() 
 {
	 oracleId=null;
	 name=null;
	 address=null;
	 id=-1;
	 amount=0;
 }
 
 public Account(String nameValue, String addressValue, int idValue, double amountValue) 
 {
	 oracleId=null;
	 name = nameValue;
	 address = addressValue;
	 id = idValue;
	 amount = amountValue;
 }

public String getOracleId() {
	return oracleId;
}

public void setOracleId(String oracleId) {
	this.oracleId = oracleId;
}

public String getName() {
	return name;
}

public void setName(String name) {
	this.name = name;
}

public String getAddress() {
	return address;
}

public void setAddress(String address) {
	this.address = address;
}

public int getId() {
	return id;
}

public void setId(int id) {
	this.id = id;
}

public double getAmount() {
	return amount;
}

public void setAmount(double amount) {
	this.amount = amount;
}

public String toString()
{
  String result = name + "||" + address + "||" + Integer.toString(id) + "||" + Double.toString(amount);

  return result;
}

}
